#include"TcPch.h"
#pragma hdrstop
#include"IoStocker.h"
#include"DEVICE.h"
#include"debug.h"
IoStocker::IoStocker(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoStocker* _initStocker17_0(){
	static IoStocker staticStocker17("IoStocker","Stocker17",MODULE_NAME);
	IoStocker::poStocker17=&staticStocker17;
	IoStocker* dev=&staticStocker17;
	strcpy(dev->id,"Stocker17");
	strcpy(dev->display,"EX1");
	strcpy(dev->schematicId,"Stocker17");
	strcpy(dev->unit,"");
	dev->doValExtend.create("doValExtend",&NDO->No2_left_Val_Extended,"NDO.No2_left_Val_Extended",FALSE);
	dev->doValBack.create("doValBack",&NDO->No2_left_Val_Back,"NDO.No2_left_Val_Back",FALSE);
	dev->doFlowOpen.create("doFlowOpen",&NDO->No2_left_Flow_Open,"NDO.No2_left_Flow_Open",FALSE);
	dev->diBackDetect.create("diBackDetect",&NDI->No2_Left_Back_Detect,"NDI.No2_Left_Back_Detect",TRUE);
	dev->diExtendedDetect.create("diExtendedDetect",&NDI->No2_Left_Extended_Detect,"NDI.No2_Left_Extended_Detect",TRUE);
	dev->diFlowDetect1.create("diFlowDetect1",&NDI->No2_Left_Flow_Detect1,"NDI.No2_Left_Flow_Detect1",TRUE);
	return dev;
}
IoStocker* _initStocker17_1(IoStocker *dev){
	dev->diFlowDetect2.create("diFlowDetect2",&NDI->No2_Left_Flow_Detect2,"NDI.No2_Left_Flow_Detect2",TRUE);
	dev->diInPosition1.create("diInPosition1",&NDI->No2_Left_InPos_Detect1,"NDI.No2_Left_InPos_Detect1",TRUE);
	strcpy(dev->aioType,"float");
	return dev;
}
IoStocker* _initStocker18_0(){
	static IoStocker staticStocker18("IoStocker","Stocker18",MODULE_NAME);
	IoStocker::poStocker18=&staticStocker18;
	IoStocker* dev=&staticStocker18;
	strcpy(dev->id,"Stocker18");
	strcpy(dev->display,"EX2");
	strcpy(dev->schematicId,"Stocker18");
	strcpy(dev->unit,"");
	dev->doValExtend.create("doValExtend",&NDO->No2_Right_Val_Extended,"NDO.No2_Right_Val_Extended",FALSE);
	dev->doValBack.create("doValBack",&NDO->No2_Right_Val_Back,"NDO.No2_Right_Val_Back",FALSE);
	dev->doFlowOpen.create("doFlowOpen",&NDO->No2_Right_Flow_Open,"NDO.No2_Right_Flow_Open",FALSE);
	dev->diBackDetect.create("diBackDetect",&NDI->No2_Right_Back_Detect,"NDI.No2_Right_Back_Detect",TRUE);
	dev->diExtendedDetect.create("diExtendedDetect",&NDI->No2_Right_Extended_Detect,"NDI.No2_Right_Extended_Detect",TRUE);
	dev->diFlowDetect1.create("diFlowDetect1",&NDI->No2_Right_Flow_Detect1,"NDI.No2_Right_Flow_Detect1",TRUE);
	return dev;
}
IoStocker* _initStocker18_1(IoStocker *dev){
	dev->diFlowDetect2.create("diFlowDetect2",&NDI->No2_Right_Flow_Detect2,"NDI.No2_Right_Flow_Detect2",TRUE);
	dev->diInPosition1.create("diInPosition1",&NDI->No2_Right_InPos_Detect1,"NDI.No2_Right_InPos_Detect1",TRUE);
	strcpy(dev->aioType,"float");
	return dev;
}
IoStocker* _initStocker19_0(){
	static IoStocker staticStocker19("IoStocker","Stocker19",MODULE_NAME);
	IoStocker::poStocker19=&staticStocker19;
	IoStocker* dev=&staticStocker19;
	strcpy(dev->id,"Stocker19");
	strcpy(dev->display,"EX3");
	strcpy(dev->schematicId,"Stocker19");
	strcpy(dev->unit,"");
	dev->doValExtend.create("doValExtend",&NDO->No3_left_Val_Extended,"NDO.No3_left_Val_Extended",FALSE);
	dev->doValBack.create("doValBack",&NDO->No3_left_Val_Back,"NDO.No3_left_Val_Back",FALSE);
	dev->doFlowOpen.create("doFlowOpen",&NDO->No3_left_Flow_Open,"NDO.No3_left_Flow_Open",FALSE);
	dev->diBackDetect.create("diBackDetect",&NDI->No3_Left_Back_Detect,"NDI.No3_Left_Back_Detect",TRUE);
	dev->diExtendedDetect.create("diExtendedDetect",&NDI->No3_Left_Extended_Detect,"NDI.No3_Left_Extended_Detect",TRUE);
	dev->diFlowDetect1.create("diFlowDetect1",&NDI->No3_Left_Flow_Detect1,"NDI.No3_Left_Flow_Detect1",TRUE);
	return dev;
}
IoStocker* _initStocker19_1(IoStocker *dev){
	dev->diFlowDetect2.create("diFlowDetect2",&NDI->No3_Left_Flow_Detect2,"NDI.No3_Left_Flow_Detect2",TRUE);
	dev->diInPosition1.create("diInPosition1",&NDI->No3_Left_InPos_Detect1,"NDI.No3_Left_InPos_Detect1",TRUE);
	strcpy(dev->aioType,"float");
	return dev;
}
IoStocker* _initStocker20_0(){
	static IoStocker staticStocker20("IoStocker","Stocker20",MODULE_NAME);
	IoStocker::poStocker20=&staticStocker20;
	IoStocker* dev=&staticStocker20;
	strcpy(dev->id,"Stocker20");
	strcpy(dev->display,"EX4");
	strcpy(dev->schematicId,"Stocker20");
	strcpy(dev->unit,"");
	dev->doValExtend.create("doValExtend",&NDO->No3_Right_Val_Extended,"NDO.No3_Right_Val_Extended",FALSE);
	dev->doValBack.create("doValBack",&NDO->No3_Right_Val_Back,"NDO.No3_Right_Val_Back",FALSE);
	dev->doFlowOpen.create("doFlowOpen",&NDO->No3_Right_Flow_Open,"NDO.No3_Right_Flow_Open",FALSE);
	dev->diBackDetect.create("diBackDetect",&NDI->No3_Right_Back_Detect,"NDI.No3_Right_Back_Detect",TRUE);
	dev->diExtendedDetect.create("diExtendedDetect",&NDI->No3_Right_Extended_Detect,"NDI.No3_Right_Extended_Detect",TRUE);
	dev->diFlowDetect1.create("diFlowDetect1",&NDI->No3_Right_Flow_Detect1,"NDI.No3_Right_Flow_Detect1",TRUE);
	return dev;
}
IoStocker* _initStocker20_1(IoStocker *dev){
	dev->diFlowDetect2.create("diFlowDetect2",&NDI->No3_Right_Flow_Detect2,"NDI.No3_Right_Flow_Detect2",TRUE);
	dev->diInPosition1.create("diInPosition1",&NDI->No3_Right_InPos_Detect1,"NDI.No3_Right_InPos_Detect1",TRUE);
	strcpy(dev->aioType,"float");
	return dev;
}
void initIoStocker(){
	IoStocker* dev;
	dev=_initStocker17_0();
	_initStocker17_1(dev);
	dev=_initStocker18_0();
	_initStocker18_1(dev);
	dev=_initStocker19_0();
	_initStocker19_1(dev);
	dev=_initStocker20_0();
	_initStocker20_1(dev);
}
IoStocker* IoStocker::poStocker17=NULL;
IoStocker* IoStocker::poStocker18=NULL;
IoStocker* IoStocker::poStocker19=NULL;
IoStocker* IoStocker::poStocker20=NULL;
//AUTOIO_END
